Get payments
curl --request GET \
--url https://{host}/payment/v1/payments \
--header 'Authorization: <api-key>'import requests
url = "https://{host}/payment/v1/payments"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://{host}/payment/v1/payments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"paymentId": "<string>",
"operationId": "<string>",
"memberId": "<string>",
"amount": 123,
"type": "Payment",
"state": "WaitingMemberConfirmation",
"creationDate": "2023-11-07T05:31:56Z",
"paymentMethods": [
{
"type": "Bonus",
"state": "WaitingReservation",
"amount": 123,
"metadata": {}
}
],
"originalPaymentId": "<string>"
}
]{
"name": "<string>",
"message": "<string>",
"details": null
}Get payments
Get payments by receiptId.
GET
/
v1
/
payments
Get payments
Authorizations
JWT Authorization header using the Bearer scheme. Example: "Authorization: Bearer {token}"
Query Parameters
The receipt identifier
Response
OK
The payment identifier
Minimum string length:
1The operationId for the current payment. Used to ensure transactional idempotency
Minimum string length:
1The member identifier
Minimum string length:
1The total amount used for the current transaction
Available options:
Payment, Refund Available options:
WaitingMemberConfirmation, WaitingPosCapture, Captured, Canceled, WaitingRefund, Refunded, WaitingExternalAction The timestamp of the creation of the transaction
The collection of the selected payment methods
Show child attributes
Show child attributes
The original payment identifier
Last modified on August 10, 2026